Subject: Ticket Assigned - 6351890698
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 27 Apr 2022 10:26:50 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  6351890698 Dear Sir,
     Most of the content of this request "6351890698" has been returned. So far, I have not received the payment. I called again and again through the customer service and raised many complaints, such as 3798062, and until now I have not received the refund, which is about 350 SR.
I have nothing left but to complain to consumer protection after this email
Best Regards

Prof. Dr. Essam Mohammed Abdel-Fattah
Plasma Physics & Plasma Processing
Zagazig University, Egypt
Prince Sattam bin Abdel Aziz University, Saudi Arabia

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4121835